Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::Task::Search< LAT >::MinObserver Class Reference

Observer of the MinElement functor. More...

`#include <Search.h>`

## Public Member Functions
| MinObserver (size_t maxAcceptedCount=std::numeric_limits< size_t >::max(), size_t maxTotalCount=std::numeric_limits< size_t >::max())
void | setMaxAcceptedCount (size_t maxCount)
void | setMaxTotalCount (size_t maxCount)
void | setTruncateSum (bool value)
| Sets the truncate-sum flag to `value`. More...
void | start ()
void | stop ()
| Reset the low-pass filter when min-element stops.
bool | visited (const Real &)
template<LatType L>
void | reject (const LatDef< L > &lat)
void | minUpdated (const Real &newMin)
| Updates the threshold of the low-pass filter with the new observed minimum value.
size_t | maxAcceptedCount () const
size_t | maxTotalCount () const
size_t | acceptedCount () const
size_t | rejectedCount () const
size_t | totalCount () const
bool | progress (const Real &merit) const
| Applies the low-pass filter if the truncate-sum flag is on. More...
bool | progress (const RealVector &) const
| Does nothing.
const Functor::LowPass< Real > & | lowPass () const

## Detailed Description

### template<LatType LAT>
class LatBuilder::Task::Search< LAT >::MinObserver

Observer of the MinElement functor.

It allows for counting accepted/rejected elements, and for optionally truncating the sum over projections if, during its term-by-term evaluation, the partial sum reaches a value superior to the current minimum value. The default behavior is not to truncate the sum.

## Member Function Documentation

template<LatType LAT>

bool LatBuilder::Task::Search< LAT >::MinObserver::progress | ( | const Real & | merit | ) | const
| inline

Applies the low-pass filter if the truncate-sum flag is on.

The low-pass filter is bypassed for embedded lattices.

template<LatType LAT>

void LatBuilder::Task::Search< LAT >::MinObserver::setTruncateSum | ( | bool | value | ) |
| inline

Sets the truncate-sum flag to `value`.

Defaults to `false`.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Task/Search.h